Bug 30392 - Anaconda hangs after detecting Generic 3 Button PS-2 mouse
Summary: Anaconda hangs after detecting Generic 3 Button PS-2 mouse
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-02 22:49 UTC by Spencer Seidel
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-04 01:47:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Spencer Seidel 2001-03-02 22:49:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows 98)


I recently purchased the RedHat 7.0 Standard box set. I am trying to 
upgrade my Linux box (A Dell Precision 410 with an Xpert@play 98 video 
card) to 7.0 (from 5.2).

I attempted a boot from the CD-Rom, at which point Anaconda started and 
detected a generic 3 button ps2 mouse.  Then it hung - no response to 
input or error messages at all.

I then removed all of my PCI cards (except the video board) and 
disconnected my serial modem and printer.  Same effect.

I then tried your updated bug-fix Ananconda image to no avail (same 
behavior).

I am absolutely 100% sure all of my hardware is Linux compatible, as I 
have been using RedHat 5.2 for a year or two now (I have also successfully 
used Slackware, Caldera, and FreeBSD). 

I hope to get a fix soon because I am more than anxious to upgrade!

Thanks.

Reproducible: Always
Steps to Reproduce:
1. Attempt to install 7.0 on a Dell Precision 410 :-)

Comment 1 Spencer Seidel 2001-03-03 16:18:11 UTC
Update:

Anaconda seems to work fine in "text expert" mode.  I was able to install from beginning to end in this mode.  Only the graphical version won't work, it seems.

Comment 2 Michael Fulbright 2001-03-04 01:47:39 UTC
If you install with the text mode install, then configure X with Xconfigurator
once the system is installed, does it work better?

Comment 3 Michael Fulbright 2001-04-02 20:00:47 UTC
Closing due to inactivity - please reopen if you have anything to add to the bug
report.

Comment 4 Spencer Seidel 2001-04-03 13:22:55 UTC
Not exactly.  

As you have apparently surmised, it seems that the Xpert@Play 98 card was the 
culprit, although this card is most definitely compatible with XFree86 4/3.X). 
 Anaconda hung immediately before entering the 16 color 640x480 mode (so it 
would seem). I learned this by installing on another computer.

Weirder was that in text mode, the installer correctly guessed to use the 
Mach64 server, but couldn't detect the on-board RAM or clock settings.  But, 
after being told, everything works fine and fast (even the big resolution, 
32-bit modes).

As for Xconfigurator, it barfs on startup with this card.  Hope that helps (or 
at least proves that it isn't RedHat software doing the barfing :-)



Note You need to log in before you can comment on or make changes to this bug.